Index: tests/GuiChecks/Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at
===================================================================
--- tests/GuiChecks/Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at	(revision 322d58c06c9f24ebf40b29ad4964bde943127973)
+++ tests/GuiChecks/Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at	(revision a844d85fa46cc4458bf26bfd67ccaef5b8466780)
@@ -25,5 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/pre/test.forces .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --force-annealing --forces-file test.forces --steps 1 --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -I --select-all-atoms --step-world-time 1 --force-annealing --forces-file test.forces --steps 1 --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-molecules-force-annealing.py >session-molecules-force-annealing_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-molecules-force-annealing_new.py], 0, [stdout], [stderr])
@@ -33,5 +33,6 @@
 
 
-AT_SETUP([Molecules - Force Annealing with Undo])
+# here, we have only one step in the trajectories
+AT_SETUP([Molecules - Force Annealing with Undo I])
 AT_KEYWORDS([molecules force-annealing undo])
 
@@ -40,8 +41,24 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/pre/test.forces .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --force-annealing --forces-file test.forces --steps 1 --undo --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --step-world-time 1 --force-annealing --forces-file test.forces --steps 1 --undo --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-molecules-force-annealing.py >session-molecules-force-annealing_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-molecules-force-annealing_new.py], 0, [stdout], [stderr])
 AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/post/test-undo.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+# here two steps are present already
+AT_SETUP([Molecules - Force Annealing with Undo II])
+AT_KEYWORDS([molecules force-annealing undo])
+
+file=test2.conf
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/pre/test2.conf $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/pre/test.forces .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --set-world-time 1 --force-annealing --forces-file test.forces --steps 1 --undo --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-molecules-force-annealing.py >session-molecules-force-annealing_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-molecules-force-annealing_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff $file ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/post/test-undo2.conf], 0, [ignore], [ignore])
 
 AT_CLEANUP
@@ -55,5 +72,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/ForceAnnealing/pre/test.forces .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --force-annealing --forces-file test.forces --steps 1 --undo --redo --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --step-world-time 1 --force-annealing --forces-file test.forces --steps 1 --undo --redo --no-dry-run --store-session session-molecules-force-annealing.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-molecules-force-annealing.py >session-molecules-force-annealing_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-molecules-force-annealing_new.py], 0, [stdout], [stderr])
